package com.qmth.exam.reserve.controller.admin;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.exam.reserve.bean.SystemPropertyBean;
import com.qmth.exam.reserve.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "系统常用属性相关接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/system")
@Aac(strict = false, auth = false)
public class SystemPropertyController extends BaseController {

    private static final Logger log = LoggerFactory.getLogger(SystemPropertyController.class);

    @ApiOperation(value = "获取系统常用属性集合")
    @PostMapping(value = "/properties")
    public SystemPropertyBean properties() {
        SystemPropertyBean properties = new SystemPropertyBean();
        properties.setFileUrlPrefix("https://xxx.com");
        properties.setOrgTitle("XXX大学");
        properties.setOrgTitle("yyyy年春季考试预约");
        properties.setCategoryLevels("[{\"level\":1,\"title\":\"城市\"},{\"level\":2,\"title\":\"教学点\"}]");
        // todo

        return properties;
    }

}
