package com.qmth.exam.reserve.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.exam.reserve.dao.StudentDao;
import com.qmth.exam.reserve.entity.StudentEntity;
import com.qmth.exam.reserve.service.StudentService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Service
public class StudentServiceImpl extends ServiceImpl<StudentDao, StudentEntity> implements StudentService {

    private static final Logger log = LoggerFactory.getLogger(StudentServiceImpl.class);

    @Override
    public StudentEntity findStudentByStudentCode(Long orgId, String studentCode) {
        QueryWrapper<StudentEntity> wrapper = new QueryWrapper<>();
        if (orgId != null) {
            wrapper.lambda().eq(StudentEntity::getOrgId, orgId);
        }
        wrapper.lambda().eq(StudentEntity::getStudentCode, studentCode);
        return baseMapper.selectOne(wrapper);
    }

}
